Package icyllis.arc3d.engine.trash.ops

# Class CircularRRectOp

java.lang.Object
icyllis.arc3d.core.Rect2f
icyllis.arc3d.engine.trash.ops.Op
icyllis.arc3d.engine.trash.ops.DrawOp
icyllis.arc3d.engine.trash.ops.MeshDrawOp
icyllis.arc3d.engine.trash.ops.CircularRRectOp

All Implemented Interfaces:
  `Rect2fc`, `Mesh`

@Deprecated public final class CircularRRectOp extends MeshDrawOp
Deprecated.

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.core.Rect2f

  `mBottom, mLeft, mRight, mTop`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CircularRRectOp()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected GraphicsPipelineDesc_Old`
  `onCreatePipelineInfo(ImageProxyView writeView, int pipelineFlags)`
  Deprecated.
  `void`
  `onExecute(OpFlushState state, Rect2f chainBounds)`
  Deprecated.
  Issues the op chain's commands to `OpsRenderPass`.
  `protected void`
  `onPrepareDraws(MeshDrawTarget target)`
  Deprecated.

  ### Methods inherited from class icyllis.arc3d.engine.trash.ops.MeshDrawOp

  `getInstanceSize, getPipelineInfo, getPipelineState, getVertexSize, onPrepare, onPrePrepare`

  ### Methods inherited from class icyllis.arc3d.engine.trash.ops.DrawOp

  `usesStencil`

  ### Methods inherited from class icyllis.arc3d.engine.trash.ops.Op

  `chainConcat, chainSplit, hasAABloat, hasZeroArea, isChainHead, isChainTail, mayChain, nextInChain, onMayChain, prevInChain, setBoundsFlags, setClippedBounds, validateChain, visitProxies`

  ### Methods inherited from class icyllis.arc3d.core.Rect2f

  `adjust, adjust, adjust, bottom, centerX, centerY, contains, contains, contains, contains, empty, equals, halfHeight, halfWidth, hashCode, height, inset, inset, inset, inset, intersect, intersect, intersect, intersect, intersectNoCheck, intersectNoCheck, intersectNoCheck, intersects, intersects, intersects, intersects, isEmpty, isFinite, isSorted, join, join, join, join, joinNoCheck, joinNoCheck, joinNoCheck, left, offset, offsetTo, outset, rectsOverlap, rectsTouchOrOverlap, right, round, round, roundIn, roundIn, roundOut, roundOut, set, set, set, setBounds, setBoundsNoCheck, setEmpty, sort, store, store, subtract, top, toString, width, x, y`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface icyllis.arc3d.engine.Mesh

  `getIndexCount, getInstanceCount, getVertexCount, setIndexBuffer, setInstanceBuffer, setVertexBuffer`

- ## Constructor Details

  - ### CircularRRectOp

    public CircularRRectOp()
    Deprecated.

- ## Method Details

  - ### onCreatePipelineInfo

    @Nonnull protected GraphicsPipelineDesc_Old onCreatePipelineInfo(ImageProxyView writeView, int pipelineFlags)
    Deprecated.
    Specified by:
      `onCreatePipelineInfo` in class `MeshDrawOp`

  - ### onPrepareDraws

    protected void onPrepareDraws(MeshDrawTarget target)
    Deprecated.
    Specified by:
      `onPrepareDraws` in class `MeshDrawOp`

  - ### onExecute

    public void onExecute(OpFlushState state, Rect2f chainBounds)
    Deprecated.
    Description copied from class: `Op`
    Issues the op chain's commands to `OpsRenderPass`.
    Specified by:
      `onExecute` in class `Op`
    Parameters:
      `chainBounds` - If this op is chained then chainBounds is the union of the bounds of all ops in the chain. Otherwise, this op's bounds.